<template>
  <section class="flex flex-col h-screen items-center justify-center">
    <h1 class="text-center text-2xl font-bold text-400">You're Logged In!</h1>
    <p>{{ message }}</p>
    <a href="javascript:void(0)" @click="logout">Logout</a>
  </section>
</template>

<script>
import { onMounted, ref } from "vue";
import { useRouter } from "vue-router";
import VueJwtDecode from "vue-jwt-decode";
export default {
  name: "ContentLoggedin",
  setup() {
    const message = ref("");
    const router = useRouter();

    onMounted(async () => {
      try {
        const data = JSON.parse(localStorage.getItem("credentials"));
        message.value = `Hi ${data.firstName}`;
        let accessToken = JSON.parse(localStorage.getItem("credentials"));
        let token = accessToken.token;
        const decodedToken = VueJwtDecode.decode(token);
        if (decodedToken.exp * 1000 < Date.now()) {
          localStorage.removeItem("credentials");
          await router.push("/login");
        }
      } catch (e) {
        await router.push("/login");
      }
    });

    const logout = async () => {
      localStorage.removeItem("credentials");
      await router.push("/login");
    };
    return {
      message,
      logout,
    };
  },
};
</script>
